Blackhold

mysqldump compatible

Posted on juny 7th, 2010 by admin

Cuando estamos generando un mysqldump de una base de datos mysql en una versión específica, es posible que si la importación de este dump se hace en una versión de base de datos distinta a la de origen, esta importación de errores.
Para ello usaremos la opción no documentada –compatible

mysqldump -uroot -p –opt databasename –compatible=mysql323 > dumpfilename


Así, como mysql323, tenemos también:

* ansi
* mysql323
* mysql40
* postgresql
* oracle
* mssql
* db2
* maxdb
* no_key_options
* no_table_options
* no_field_options

This entry was posted on dilluns, juny 7th, 2010 at 14:10 and is filed under bbdd. You can follow any responses to this entry through the RSS 2.0 feed. You can leave a response, or trackback from your own site.

One Response to “mysqldump compatible”

juantxujuny 12th, 2010 at 19:50

MmMmMm … no lo conicía.
Muy interesante.
Aunque no acabo de ver la compatibilidad con oracle y postgresql. Lo he probado con oracle y a mi no me ha funcionado.
Supongo que a partir de ahora eso lo cuidarán un poco mas :D

Leave a Response

« »

guy fawkes